Debian Bug report logs - #195264
[PR 13081] [3.3 regression] forward template declarations in <complex> let inlining fail

version graph

Package: libstdc++5-3.3-dev; Maintainer for libstdc++5-3.3-dev is (unknown);

Reported by: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>

Date: Thu, 29 May 2003 15:48:02 UTC

Severity: minor

Tags: upstream

Found in version 1:3.3-2

Fixed in version gcc-3.3/1:3.3.3ds1-0pre1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR13081

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#195264; Package libstdc++5-3.3-dev. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libstdc++5-3.3-dev: forward template declarations in <complex> let inlining fail
Date: Thu, 29 May 2003 17:33:48 +0200
Package: libstdc++5-3.3-dev
Version: 1:3.3-2
Severity: minor


I just noticed, that std::conj() doesn't get inlined, as one'd expect it
to be;

it seems that a forward declaration like

  template<typename _Tp> complex<_Tp> conj(const complex<_Tp>&);

keeps

  template<typename _Tp>
    inline complex<_Tp>
    conj(const complex<_Tp>& __z)
    { return complex<_Tp>(__z.real(), -__z.imag()); }
	        
from honoring the 'inline' keyword at all;
by either removing the forward declaration completely, or adding the
inline keyword to it like:

  template<typename _Tp> inline complex<_Tp> conj(const complex<_Tp>&);

g++ happily inlines the function again...

I don't know whether this is a bug at all (after all inline'ing is
optional... :-)... 

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux lfdux.ifs.tuwien.ac.at 2.4.20-1-k7 #1 Sat Mar 22 15:17:52 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages libstdc++5-3.3-dev depends on:
ii  g++-3.3                       1:3.3-2    The GNU C++ compiler
ii  gcc-3.3-base                  1:3.3-2    The GNU Compiler Collection (base 
ii  libc6-dev                     2.3.1-17   GNU C Library: Development Librari
ii  libstdc++5                    1:3.3-2    The GNU Standard C++ Library v3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#195264; Package libstdc++5-3.3-dev. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 195264@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>, 195264@bugs.debian.org
Subject: Re: Bug#195264: libstdc++5-3.3-dev: forward template declarations in <complex> let inlining fail
Date: Sun, 29 Jun 2003 12:51:00 +0200
Please could you check, if the always_inline attribute (gcc-snapshot
package) works for you?

Herbert Valerio Riedel writes:
> Package: libstdc++5-3.3-dev
> Version: 1:3.3-2
> Severity: minor
> 
> 
> I just noticed, that std::conj() doesn't get inlined, as one'd expect it
> to be;
> 
> it seems that a forward declaration like
> 
>   template<typename _Tp> complex<_Tp> conj(const complex<_Tp>&);
> 
> keeps
> 
>   template<typename _Tp>
>     inline complex<_Tp>
>     conj(const complex<_Tp>& __z)
>     { return complex<_Tp>(__z.real(), -__z.imag()); }
> 	        
> from honoring the 'inline' keyword at all;
> by either removing the forward declaration completely, or adding the
> inline keyword to it like:
> 
>   template<typename _Tp> inline complex<_Tp> conj(const complex<_Tp>&);
> 
> g++ happily inlines the function again...
> 
> I don't know whether this is a bug at all (after all inline'ing is
> optional... :-)... 
> 
> -- System Information:
> Debian Release: testing/unstable
> Architecture: i386
> Kernel: Linux lfdux.ifs.tuwien.ac.at 2.4.20-1-k7 #1 Sat Mar 22 15:17:52 EST 2003 i686
> Locale: LANG=C, LC_CTYPE=C
> 
> Versions of packages libstdc++5-3.3-dev depends on:
> ii  g++-3.3                       1:3.3-2    The GNU C++ compiler
> ii  gcc-3.3-base                  1:3.3-2    The GNU Compiler Collection (base 
> ii  libc6-dev                     2.3.1-17   GNU C Library: Development Librari
> ii  libstdc++5                    1:3.3-2    The GNU Standard C++ Library v3
> 
> -- no debconf information
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-gcc-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#195264; Package libstdc++5-3.3-dev. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 195264@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 195264@bugs.debian.org
Subject: Re: Bug#195264: libstdc++5-3.3-dev: forward template declarations in <complex> let inlining fail
Date: 11 Jul 2003 19:41:48 +0200
On Sun, 2003-06-29 at 12:51, Matthias Klose wrote:
> Please could you check, if the always_inline attribute (gcc-snapshot
> package) works for you?

I don't see why that'd help? (btw, it didn't work, tested with gcc
version 3.4 20030706 (experimental))

the problem is the following:

when compiling the following with -O2

template<typename T> T foo(T);
 
template<typename T> inline T foo(T t)
{
  return t;
} // __attribute((always_inline))
 
long bar (long);
 
inline long bar (long l)
{
  return l;
}
 
void doo (long &l)
{
  l = foo (l);
  l = bar (l);
}


Disassembly of section .text:

00000000 <doo(long&)>:
   0:   55                      push   %ebp
   1:   89 e5                   mov    %esp,%ebp
   3:   53                      push   %ebx
   4:   83 ec 10                sub    $0x10,%esp
   7:   8b 5d 08                mov    0x8(%ebp),%ebx
   a:   ff 33                   pushl  (%ebx)
   c:   e8 fc ff ff ff          call   d <doo(long&)+0xd>
                        d: R_386_PC32   long foo<long>(long)
  11:   89 03                   mov    %eax,(%ebx)
  13:   83 c4 10                add    $0x10,%esp
  16:   8b 5d fc                mov    0xfffffffc(%ebp),%ebx
  19:   c9                      leave  
  1a:   c3                      ret    
Disassembly of section .gnu.linkonce.t._Z3fooIlET_S0_:

00000000 <long foo<long>(long)>:
   0:   55                      push   %ebp
   1:   89 e5                   mov    %esp,%ebp
   3:   8b 45 08                mov    0x8(%ebp),%eax
   6:   c9                      leave  
   7:   c3                      ret    


i.e. bar get's inlined, but foo<long> does not... why?
btw, gcc-2.95 would optimize it into a NOP:

00000000 <doo(long &)>:
   0:   55                      push   %ebp
   1:   89 e5                   mov    %esp,%ebp
   3:   c9                      leave  
   4:   c3                      ret    

-- I'd say that's a regression... 

> 
> Herbert Valerio Riedel writes:
> > Package: libstdc++5-3.3-dev
> > Version: 1:3.3-2
> > Severity: minor
> > 
> > 
> > I just noticed, that std::conj() doesn't get inlined, as one'd expect it
> > to be;
> > 
> > it seems that a forward declaration like
> > 
> >   template<typename _Tp> complex<_Tp> conj(const complex<_Tp>&);
> > 
> > keeps
> > 
> >   template<typename _Tp>
> >     inline complex<_Tp>
> >     conj(const complex<_Tp>& __z)
> >     { return complex<_Tp>(__z.real(), -__z.imag()); }
> > 	        
> > from honoring the 'inline' keyword at all;
> > by either removing the forward declaration completely, or adding the
> > inline keyword to it like:
> > 
> >   template<typename _Tp> inline complex<_Tp> conj(const complex<_Tp>&);
> > 
> > g++ happily inlines the function again...
> > 
> > I don't know whether this is a bug at all (after all inline'ing is
> > optional... :-)... 
> > 
> > -- System Information:
> > Debian Release: testing/unstable
> > Architecture: i386
> > Kernel: Linux lfdux.ifs.tuwien.ac.at 2.4.20-1-k7 #1 Sat Mar 22 15:17:52 EST 2003 i686
> > Locale: LANG=C, LC_CTYPE=C
> > 
> > Versions of packages libstdc++5-3.3-dev depends on:
> > ii  g++-3.3                       1:3.3-2    The GNU C++ compiler
> > ii  gcc-3.3-base                  1:3.3-2    The GNU Compiler Collection (base 
> > ii  libc6-dev                     2.3.1-17   GNU C Library: Development Librari
> > ii  libstdc++5                    1:3.3-2    The GNU Standard C++ Library v3
> > 
> > -- no debconf information
> > 
> > 
> > 
> > -- 
> > To UNSUBSCRIBE, email to debian-gcc-request@lists.debian.org
> > with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
-- 
Herbert Valerio Riedel       /    Phone: (EUROPE) +43-1-58801-18840
Email: hvr@hvrlab.org       /    Finger hvr@gnu.org for GnuPG Public Key
GnuPG Key Fingerprint: 7BB9 2D6C D485 CE64 4748  5F65 4981 E064 883F 4142




Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR13081. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#195264; Package libstdc++5-3.3-dev. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #26 received at 195264-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 195264-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #195264 to gcc-gnats as PR 13081
Date: Mon, 17 Nov 2003 01:05:24 +0100
# submitted Debian report #195264 to gcc-gnats as PR 13081
# http://gcc.gnu.org/PR13081

forwarded 195264 http://gcc.gnu.org/PR13081
retitle 195264 [PR 13081] [3.3 regression] forward template declarations in <complex> let inlining fail
tags 195264 + upstream
thanks



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 195264-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 195264-close@bugs.debian.org
Subject: Bug#195264: fixed in gcc-3.3 1:3.3.3ds1-0pre1
Date: Mon, 29 Dec 2003 11:03:10 -0500
Source: gcc-3.3
Source-Version: 1:3.3.3ds1-0pre1

We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.3-0pre1_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.3-0pre1_all.deb
cpp-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.3-0pre1_i386.deb
fastjar_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.3-0pre1_i386.deb
fixincludes_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.3-0pre1_i386.deb
g++-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.3-0pre1_i386.deb
g77-3.3-doc_3.3.3-0pre1_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.3-0pre1_all.deb
g77-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.3-0pre1_i386.deb
gcc-3.3-base_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.3-0pre1_i386.deb
gcc-3.3-doc_3.3.3-0pre1_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.3-0pre1_all.deb
gcc-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3-0pre1_i386.deb
gcc-3.3_3.3.3ds1-0pre1.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds1-0pre1.diff.gz
gcc-3.3_3.3.3ds1-0pre1.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds1-0pre1.dsc
gcc-3.3_3.3.3ds1.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.3ds1.orig.tar.gz
gcj-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.3-0pre1_i386.deb
gij-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.3-0pre1_i386.deb
gnat-3.3-doc_3.3.3-0pre1_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.3-0pre1_all.deb
gnat-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.3-0pre1_i386.deb
gobjc-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.3-0pre1_i386.deb
gpc-2.1-3.3-doc_3.3.3.20030830-0pre1_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.3.20030830-0pre1_all.deb
gpc-2.1-3.3_3.3.3.20030830-0pre1_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.3.20030830-0pre1_i386.deb
libffi2-dev_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.3-0pre1_i386.deb
libffi2_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.3-0pre1_i386.deb
libg2c0_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.3-0pre1_i386.deb
libgcc1_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.3-0pre1_i386.deb
libgcj-common_3.3.3-0pre1_all.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.3-0pre1_all.deb
libgcj4-dev_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.3-0pre1_i386.deb
libgcj4_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.3-0pre1_i386.deb
libobjc1_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.3-0pre1_i386.deb
libstdc++5-3.3-dbg_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.3-0pre1_i386.deb
libstdc++5-3.3-dev_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.3-0pre1_i386.deb
libstdc++5-3.3-doc_3.3.3-0pre1_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.3-0pre1_all.deb
libstdc++5-3.3-pic_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.3-0pre1_i386.deb
libstdc++5_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.3-0pre1_i386.deb
protoize_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.3-0pre1_i386.deb
treelang-3.3_3.3.3-0pre1_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.3-0pre1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 195264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Dec 2003 10:36:29 +0100
Source: gcc-3.3
Binary: libgnat3.15 gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 lib64g2c0 libstdc++5-3.3-doc libgcj4 gpc-2.1-3.3-doc libstdc++5 cpp-3.3-doc protoize gcc-3.3-hppa64 cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc gpc-2.1-3.3 g77-3.3 libgcj4-dev gcc-3.3-doc lib64objc1 lib64ffi2 libstdc++5-3.3-dev libffi2-dev gcj-3.3 libgcj-common gobjc-3.3 lib64stdc++5 gcc-3.3-soft-float lib64gcj4 treelang-3.3 libg2c0-dev lib64gcc1 fastjar lib64gnat3.15 fixincludes libg2c0 gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 libffi2 gnat-3.3-doc
Architecture: source i386 all
Version: 1:3.3.3ds1-0pre1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library (development files)
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 195264 217075 224593 224848 224875
Changes: 
 gcc-3.3 (1:3.3.3ds1-0pre1) unstable; urgency=low
 .
   * Update to gcc-3.3.3 CVS 20031229.
     - Fixes bootstrap error on ia64-linux.
     - Fix -pthread on mips{,el}-linux (closes: #224875).
     - Fix -Wformat for C++ (closes: #217075).
   * Backport from mainline: Preserve inline-ness when redeclaring
     a function template (closes: #195264).
   * Add missing intrinsics headers on ix86 (closes: #224593).
   * Fix location of libg2c libdir in libg2c.la file (closes: #224848).
Files: 
 4d09ad6e6a4a472537e0a0175a3519b3 2271 devel standard gcc-3.3_3.3.3ds1-0pre1.dsc
 c70dc7d85212cfecc7e8d0ffefd15e80 23946652 devel standard gcc-3.3_3.3.3ds1.orig.tar.gz
 aadc2172cdfafe3b5a6aea6a395121ae 2262281 devel standard gcc-3.3_3.3.3ds1-0pre1.diff.gz
 449dbdf025113a167bf3d1b238caac2e 82946 doc optional cpp-3.3-doc_3.3.3-0pre1_all.deb
 cda15cdbaf121e2ec8e9b49426b65457 57684 libs optional libgcj-common_3.3.3-0pre1_all.deb
 a85025cbe389fc14a1c769b74681b2c9 3149704 doc optional libstdc++5-3.3-doc_3.3.3-0pre1_all.deb
 2ebf49b8d22acd46028e43c381b0e10f 268992 doc optional g77-3.3-doc_3.3.3-0pre1_all.deb
 e61e5a39e8a5e73a37845e82464c88aa 328496 doc optional gnat-3.3-doc_3.3.3-0pre1_all.deb
 f31ad61b0fcd810972451cc3551b9e04 795280 doc optional gpc-2.1-3.3-doc_3.3.3.20030830-0pre1_all.deb
 e48a3a13f751fad54703097bddc12268 598122 doc optional gcc-3.3-doc_3.3.3-0pre1_all.deb
 967f414e4a590ae52bdab2b54c0a9879 143342 devel required gcc-3.3-base_3.3.3-0pre1_i386.deb
 1c9e7e2c5e63c4718727790537162b64 72860 libs required libgcc1_3.3.3-0pre1_i386.deb
 8139534efc3377579263ff2ae2db4525 1390464 interpreters standard cpp-3.3_3.3.3-0pre1_i386.deb
 fb2558b3e1aa8d1374b592bab4d22181 23262 devel optional protoize_3.3.3-0pre1_i386.deb
 0774a4828e1f5be2ec6abb0fe18ef0d8 48120 devel optional fixincludes_3.3.3-0pre1_i386.deb
 8e75af476834615cb8929db01657f28b 1467144 devel optional gobjc-3.3_3.3.3-0pre1_i386.deb
 60943ea0308c015ff9750246dee148f8 132414 libs optional libobjc1_3.3.3-0pre1_i386.deb
 596b7b8e10072d86202986aa1a09e3b4 13056 devel optional gij-3.3_3.3.3-0pre1_i386.deb
 818ca6d27cdecaaaab3f89247b4ef9bf 3979934 libs optional libgcj4_3.3.3-0pre1_i386.deb
 180f02d5af75eaafa308e0bf1f94fde7 1693828 devel optional gcj-3.3_3.3.3-0pre1_i386.deb
 84cf06ef78514b3f374a96366e21cb50 4749376 libdevel optional libgcj4-dev_3.3.3-0pre1_i386.deb
 b67baaf93cf1024825e1f13bfe2bbbe1 108800 devel extra fastjar_3.3.3-0pre1_i386.deb
 5b806b89fde899731f475243e9c6013e 68262 libs optional libffi2_3.3.3-0pre1_i386.deb
 e85805dc9fa022cb75b4ebce1d1bfbdf 11050 libdevel optional libffi2-dev_3.3.3-0pre1_i386.deb
 4bf8dbce449e066068c1ff401403d822 1772362 devel standard g++-3.3_3.3.3-0pre1_i386.deb
 67e0074c771ef67a5208c33df08dc70a 285178 base required libstdc++5_3.3.3-0pre1_i386.deb
 e49d9abb6e21de47f68f61715eac5028 769742 libdevel standard libstdc++5-3.3-dev_3.3.3-0pre1_i386.deb
 e7d5e10b35044c113c1ac838a482c55a 322714 libdevel extra libstdc++5-3.3-pic_3.3.3-0pre1_i386.deb
 54a8b941f39e77c20bedf2d97e40c7a4 5052760 libdevel extra libstdc++5-3.3-dbg_3.3.3-0pre1_i386.deb
 396409c11585373d27513d0af47cf4e7 50278 libs optional libg2c0_3.3.3-0pre1_i386.deb
 0745232b284924d484a06962e65a70fc 1612920 devel optional g77-3.3_3.3.3-0pre1_i386.deb
 7d996f9e68af1b90b3761ac82f91f3b7 6279868 devel optional gnat-3.3_3.3.3-0pre1_i386.deb
 9ab8b5b1d1103a1b33c5d800a1fae37a 1287436 devel optional treelang-3.3_3.3.3-0pre1_i386.deb
 3edab68fb6e7e0107f1c36d71d0de9c6 1929360 devel optional gpc-2.1-3.3_3.3.3.20030830-0pre1_i386.deb
 da4b262dd398bd34ac2e2e3f5a8dcafc 1329656 devel standard gcc-3.3_3.3.3-0pre1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/8DgUStlRaw+TLJwRAsjWAJ45VwlIW3j7TZBKpZLC7OBHa5r8zgCdFdef
G0TlRk6Le5oKwNaJJkhcCzA=
=KXx2
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:14:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.